View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000715Ecere SDKecerepublic2012-03-28 18:312013-08-30 10:38
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformCross-PlatformOS\o/OS Version;-)
Product Version0.44 Ryoan-ji 
Target Version0.44.09Fixed in Version0.44.09 
Summary0000715: Background / OpenGL
DescriptionBackground in OpenGL mode looks bad
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000834)
jerome (administrator)
2013-05-09 06:59

I think this is due to:

uint w = pow2i(Min(bitmap.width, 1024)), h = pow2i(Min(bitmap.height, 1024));

In OpenGLDisplayDriver/MakeDDBitmap

Rather than 1024, the maximum texture size should be queried on system initialization:

GLint texSize;
glGetIntegerv(GL_MAX_TEXTURE_SIZE, &texSize);
(0001030)
jerome (administrator)
2013-08-29 01:13

And similarly non texture of 2 support should be queried as well
(0001050)
jerome (administrator)
2013-08-30 10:38
edited on: 2013-08-30 10:47

Fixed by https://github.com/ecere/ecere-sdk/commit/1d0dfa4f555c7d66747f720de8e3d655981d4610 [^]


- Issue History
Date Modified Username Field Change
2012-03-28 18:31 redj New Issue
2012-03-29 07:55 redj Category => Installation System
2012-03-29 07:55 redj Project @8@ => Ecere SDK
2012-03-29 08:15 redj Summary installer: Background / OpenGL => Background / OpenGL
2013-04-24 04:12 redj Description Updated
2013-05-09 06:59 jerome Note Added: 0000834
2013-08-29 01:13 jerome Note Added: 0001030
2013-08-29 01:14 jerome Target Version 0.44.11 125 => 0.44.09 64
2013-08-29 07:51 jerome Status new => assigned
2013-08-29 07:51 jerome Assigned To => jerome
2013-08-30 10:38 jerome Status assigned => closed
2013-08-30 10:38 jerome Note Added: 0001050
2013-08-30 10:38 jerome Resolution open => fixed
2013-08-30 10:38 jerome Fixed in Version => 0.44.09 64
2013-08-30 10:38 jerome Category installer => ecere
2013-08-30 10:47 jerome Note Edited: 0001050



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker